CSFML

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
sfInputStream Struct Reference

Set of callbacks that allow users to define custom file streams. More...

`#include <InputStream.h>`

## Data Fields

sfInputStreamReadFunc | read
| Function to read data from the stream. More...
sfInputStreamSeekFunc | seek
| Function to set the current read position. More...
sfInputStreamTellFunc | tell
| Function to get the current read position. More...
sfInputStreamGetSizeFunc | getSize
| Function to get the total number of bytes in the stream. More...
void * | userData
| User data that will be passed to the callbacks. More...

## Detailed Description

Set of callbacks that allow users to define custom file streams.

Definition at line 44 of file InputStream.h.

## Field Documentation

sfInputStreamGetSizeFunc sfInputStream::getSize

Function to get the total number of bytes in the stream.

Definition at line 49 of file InputStream.h.

sfInputStreamReadFunc sfInputStream::read

Function to read data from the stream.

Definition at line 46 of file InputStream.h.

sfInputStreamSeekFunc sfInputStream::seek

Function to set the current read position.

Definition at line 47 of file InputStream.h.

sfInputStreamTellFunc sfInputStream::tell

Function to get the current read position.

Definition at line 48 of file InputStream.h.

void* sfInputStream::userData

User data that will be passed to the callbacks.

Definition at line 50 of file InputStream.h.

The documentation for this struct was generated from the following file:

- InputStream.h